| Oyranos Colour Management System API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions
oyImage_s.h File Reference
`#include <oyranos_object.h>`
`#include "oyStruct_s.h"`
`#include "oyranos_image.h"`
`#include "oyProfile_s.h"`
`#include "oyRectangle_s.h"`
`#include "oyArray2d_s.h"`

## Data Structures
struct | oyImage_s
| A reference struct to gather information for image transformation. More...

## Typedefs
typedef oyPointer(* | oyImage_GetPoint_f) (oyImage_s *image, int point_x, int point_y, int channel, int *is_allocated)
typedef oyPointer(* | oyImage_GetLine_f) (oyImage_s *image, int line_y, int *height, int channel, int *is_allocated)
typedef oyPointer *(* | oyImage_GetTile_f) (oyImage_s *image, int tile_x, int tile_y, int channel, int *is_allocated)

## Functions
int | oyImage_FromFile (const char *file_name, oyImage_s **image, oyObject_s object)
| generate a Oyranos image from a file name More...
int | oyImage_ToFile (oyImage_s *image, const char *file_name, oyOptions_s *opts)
| write a Oyranos image to a file name More...

## Detailed Description

[Template file inheritance graph] +-> oyImage_s.template.h | +-> Base_s.h | +– oyStruct_s.template.h

Oyranos is an open source Colour Management System

Copyright:
  2004-2012 (C) Kai-Uwe Behrmann

Author
  Kai-Uwe Behrmann ku.b@.nosp@m.gmx..nosp@m.de

License:
  new BSD - see: http://www.opensource.org/licenses/bsd-license.php

Date
  2012/10/08

## Typedef Documentation

typedef oyPointer(* oyImage_GetLine_f) (oyImage_s *image, int line_y, int *height, int channel, int *is_allocated)

param[out] is_allocated are the lines always newly allocated

typedef oyPointer(* oyImage_GetPoint_f) (oyImage_s *image, int point_x, int point_y, int channel, int *is_allocated)

param[out] is_allocated are the points always newly allocated

typedef oyPointer*(* oyImage_GetTile_f) (oyImage_s *image, int tile_x, int tile_y, int channel, int *is_allocated)

param[out] is_allocated are the tiles always newly allocated

## Function Documentation

int oyImage_FromFile | ( | const char * | file_name,
|  | oyImage_s ** | image,
|  | oyObject_s | obj
| ) |  |

generate a Oyranos image from a file name

Function oyImage_FromFile

Parameters

  [in] | file_name | input
  [out] | image | output
  [in] | obj | Oyranos object (optional)

Returns
  >0 == error, <0 == issue or zero

Version
  Oyranos: 0.5.0

Since
  2012/04/21 (Oyranos: 0.5.0)

Date
  2012/04/21

References OY_SELECT_FILTER, oyConversion_s::oyConversion_GetImage(), oyConversion_s::oyConversion_New(), oyConversion_s::oyConversion_Release(), oyConversion_s::oyConversion_Set(), oyFilterNode_s::oyFilterNode_Connect(), oyFilterNode_s::oyFilterNode_GetOptions(), oyFilterNode_s::oyFilterNode_NewWith(), oyImage_s::oyImage_GetTags(), oyImage_s::oyImage_Release(), oyOptions_s::oyOptions_Release(), and oyOptions_s::oyOptions_SetFromText().

int oyImage_ToFile | ( | oyImage_s * | image,
|  | const char * | file_name,
|  | oyOptions_s * | opts
| ) |  |

write a Oyranos image to a file name

Function oyImage_ToFile

Parameters

  [in] | image | input
  [in] | file_name | output
  [in] | opts | options for file_write node

Returns
  >0 == error, <0 == issue or zero

Version
  Oyranos: 0.5.0

Since
  2012/07/18 (Oyranos: 0.5.0)

Date
  2012/07/18

References OY_SELECT_FILTER, oyBOOLEAN_UNION, oyConversion_s::oyConversion_New(), oyConversion_s::oyConversion_Release(), oyConversion_s::oyConversion_RunPixels(), oyConversion_s::oyConversion_Set(), oyFilterNode_s::oyFilterNode_Connect(), oyFilterNode_s::oyFilterNode_GetOptions(), oyFilterNode_s::oyFilterNode_NewWith(), oyFilterNode_s::oyFilterNode_SetData(), oyImage_s::oyImage_GetTags(), oyOptions_s::oyOptions_CopyFrom(), oyOptions_s::oyOptions_Release(), and oyOptions_s::oyOptions_SetFromText().